Discover Government News


   SUSE Security Update: Security update for python-Flask-Security
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:3834-1
Rating:             moderate
References:         #1202105 
Cross-References:   CVE-2021-23385
CVSS scores:
                    CVE-2021-23385 (NVD) : 6.1 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
                    CVE-2021-23385 (SUSE): 5.4 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:N

Affected Products:
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for python-Flask-Security fixes the following issues:

   - CVE-2021-23385: Fixed open redirect (bsc#1202105).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-3834=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-3834=1



Package List:

   - openSUSE Leap 15.4 (noarch):

      python3-Flask-Security-3.0.0-150100.4.3.1

   - openSUSE Leap 15.3 (noarch):

      python2-Flask-Security-3.0.0-150100.4.3.1
      python3-Flask-Security-3.0.0-150100.4.3.1


References:

   https://www.suse.com/security/cve/CVE-2021-23385.html
   https://bugzilla.suse.com/1202105

SUSE: 2022:3834-1 moderate: python-Flask-Security

November 1, 2022
An update that fixes one vulnerability is now available

Summary

This update for python-Flask-Security fixes the following issues: - CVE-2021-23385: Fixed open redirect (bsc#1202105). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-3834=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-3834=1 Package List: - openSUSE Leap 15.4 (noarch): python3-Flask-Security-3.0.0-150100.4.3.1 - openSUSE Leap 15.3 (noarch): python2-Flask-Security-3.0.0-150100.4.3.1 python3-Flask-Security-3.0.0-150100.4.3.1

References

#1202105

Cross- CVE-2021-23385

CVSS scores:

CVE-2021-23385 (NVD) : 6.1 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

CVE-2021-23385 (SUSE): 5.4 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:N

Affected Products:

openSUSE Leap 15.3

openSUSE Leap 15.4

https://www.suse.com/security/cve/CVE-2021-23385.html

https://bugzilla.suse.com/1202105

Severity
Announcement ID: SUSE-SU-2022:3834-1
Rating: moderate

Related News